Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261623 - net-im/galaxium-0.7.4.1 failed. IM Client Galaxium not finish compilation during emerging.
Summary: net-im/galaxium-0.7.4.1 failed. IM Client Galaxium not finish compilation dur...
Status: VERIFIED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL: http://code.google.com/p/galaxium/iss...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-07 22:16 UTC by Alberto federman Neto
Modified: 2009-03-25 23:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto federman Neto 2009-03-07 22:16:46 UTC
During command emerge galaxium, the  net-im/galaxium-0.7.4.1 failed to compile or install.

Reproducible: Always

Steps to Reproduce:
1. emerge --sync
2. emerge portage portato
3. emerge galaxium

Actual Results:  
after update portage, trying to emerge , compile and install the instant messenger Galaxium failed.
the package cannot finish compilation, when is tru to compile-write to the Galaxium Core.
the ebuild, however, seems to works good.

Expected Results:  
good compilation and regular installation of the Instant Messenger Client Galaxium.

i tested in an Gentoo 64 bits installation and in other Gentoo 64 bits, and also in Sabayon 64.
Seeems to be  a bug in Galaxium.
the bug is the same that was very recently posted in the above cited URL.
i;m using portage 2;2 rc23 and GCC 4.3.3
This is the output of the command for emerge galaxium:

albfneto@localhost ~ $ sudo LINGUAS=pt_BR emerge -av galaxium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] net-im/galaxium-0.7.4.1  USE="-webkit" 0 kB [1]

Total: 1 package (1 new), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/sabayon

Would you like to merge these packages? [Yes/No] Yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) net-im/galaxium-0.7.4.1 from sabayon
 * galaxium_0.7.4.1.tar.gz RMD160 SHA1 SHA256 size ;-) ...               [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
>>> Unpacking galaxium_0.7.4.1.tar.gz to /var/tmp/portage/net-im/galaxium-0.7.4.1/work
 * Running eautoreconf in '/var/tmp/portage/net-im/galaxium-0.7.4.1/work/galaxium-0.7.4.1' ...
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ ok ]
 * Running automake --add-missing --copy --foreign ...                    [ ok ]
>>> Source unpacked in /var/tmp/portage/net-im/galaxium-0.7.4.1/work
>>> Compiling source in /var/tmp/portage/net-im/galaxium-0.7.4.1/work/galaxium-0.7.4.1 ...
./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --enable-gecko --disable-webkit --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... /usr/bin/pkg-config
checking for a BSD-compatible install... /usr/bin/install -c
checking for gcc... /usr/bin/gcc
checking for gmcs... /usr/bin/gmcs
checking for i686-pc-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MONO... yes
checking for GLIB_SHARP... yes
checking for GTK_SHARP... yes
checking for GLADE_SHARP... yes
checking for GSTREAMER... yes
checking for NDESK_DBUS... yes
checking for MONO_ADDINS... yes
checking for LIBANCULUS... yes
checking for GECKO_SHARP... yes
MOZILLA_HOME=/usr/lib/xulrunner
configure: creating ./config.status
config.status: creating Makefile
config.status: creating docs/Makefile
config.status: creating docs/man/Makefile
config.status: creating src/Makefile
config.status: creating src/Libraries/Makefile
config.status: creating src/Libraries/libgalaxium/Makefile
config.status: creating src/Libraries/libswfdec-sharp/Makefile
config.status: creating src/Galaxium.AdiumThemes/Makefile
config.status: creating src/Galaxium.Client/Makefile
config.status: creating src/Galaxium.Client.Gtk/Makefile
config.status: creating src/Galaxium.Core/Makefile
config.status: creating src/Galaxium.Gecko/Makefile
config.status: creating src/Galaxium.GStreamer/Makefile
config.status: creating src/Galaxium.Gui/Makefile
config.status: creating src/Galaxium.Gui.Gtk/Makefile
config.status: creating src/Galaxium.Protocol/Makefile
config.status: creating src/Galaxium.Protocol.Gui/Makefile
config.status: creating src/Galaxium.Protocol.Msn/Makefile
config.status: creating src/Galaxium.Protocol.Msn.Gtk/Makefile
config.status: creating src/Galaxium.Startup/Makefile
config.status: creating src/Galaxium.WebKit/Makefile
config.status: creating src/Libraries/libswfdec-sharp/AssemblyInfo.cs
config.status: creating src/Galaxium.AdiumThemes/AssemblyInfo.cs
config.status: creating src/Galaxium.Client/AssemblyInfo.cs
config.status: creating src/Galaxium.Client.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Core/AssemblyInfo.cs
config.status: creating src/Galaxium.Gecko/AssemblyInfo.cs
config.status: creating src/Galaxium.GStreamer/AssemblyInfo.cs
config.status: creating src/Galaxium.Gui/AssemblyInfo.cs
config.status: creating src/Galaxium.Gui.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Gui/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Msn/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Msn.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Startup/AssemblyInfo.cs
config.status: creating src/Galaxium.Startup/Galaxium.Startup.exe.config
config.status: creating src/Galaxium.WebKit/AssemblyInfo.cs
config.status: creating build/Makefile
config.status: creating build/Data/Makefile
config.status: creating build/Data/Themes/Makefile
config.status: creating build/Data/Themes/AdiumEmoticons/Makefile
config.status: creating build/Data/Themes/AdiumMessageStyles/Makefile
config.status: creating build/Data/Themes/AdiumSoundSets/Makefile
config.status: creating build/Data/Images/Makefile
config.status: creating galaxium
config.status: creating galaxium.desktop

Configuration summary

   * Installation prefix: /usr

   * Supported protocols
   *     (yes) MSN (Microsoft Network)

   * HTML Layout Engines
   *     (yes) Gecko support
   *     (no) WebKit support

   * Additional addins
   *     (yes) AdiumX theme support

make -j2 -s
Making all in build
Making all in Data
Making all in Images
Making all in Themes
Making all in AdiumEmoticons
Making all in AdiumMessageStyles
Making all in AdiumSoundSets
Making all in src
Making all in Libraries
Making all in libgalaxium
Making all in libswfdec-sharp
Making all in Galaxium.Core
./Utilities/ArgumentUtility.cs(284,36): error CS8244: The `is' operator cannot be applied to an operand of a static type
Compilation failed: 1 error(s), 0 warnings
make[2]: *** [../../build/Galaxium.Core.dll] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1
 *
 * ERROR: net-im/galaxium-0.7.4.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2610:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/net-im:galaxium-0.7.4.1:20090307-182647.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/galaxium-0.7.4.1/temp/environment'.
 * This ebuild is from an overlay named 'sabayon': '/usr/local/portage/layman/sabayon/'
 *

>>> Failed to emerge net-im/galaxium-0.7.4.1, Log file:

>>>  '/var/lib/entropy/logs/net-im:galaxium-0.7.4.1:20090307-182647.log'
albfneto@localhost ~ $
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-09 17:49:02 UTC
# emerge -s galaxium
Searching...
[ Results for search key : galaxium ]
[ Applications found : 0 ]

Is this ebuild from some overlay maybe? If yes, please tell which one and re-open this bug.
Comment 2 Alberto federman Neto 2009-03-24 18:08:06 UTC
I dont found in the Current Portage tree, 2,2_rc27.
is found in the Zenana Repo.

Below, details of the commands that i used for add the ebuild, and try to compile:

albfneto@localhost /usr/portage/net-im/galaxium $ ebuild galaxium-0.7.4.1.ebuild manifest
>>> Creating Manifest for /usr/portage/net-im/galaxium
Exception exceptions.AttributeError: "'atomic_ofstream' object has no attribute '_file'" in  ignored
!!! Permission Denied: write_atomic('/usr/portage/net-im/galaxium/Manifest')
albfneto@localhost /usr/portage/net-im/galaxium $ sudo ebuild galaxium-0.7.4.1.ebuild manifest
>>> Creating Manifest for /usr/portage/net-im/galaxium
albfneto@localhost /usr/portage/net-im/galaxium $ sudo LINGUAS=pt_BR emerge -a -v =net-im/galaxium-0.7.4.1

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] net-im/galaxium-0.7.4.1  USE="-webkit" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] Yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) net-im/galaxium-0.7.4.1
 * galaxium_0.7.4.1.tar.gz RMD160 SHA1 SHA256 size ;-) ...               [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
>>> Unpacking galaxium_0.7.4.1.tar.gz to /var/tmp/portage/net-im/galaxium-0.7.4.1/work
 * Running eautoreconf in '/var/tmp/portage/net-im/galaxium-0.7.4.1/work/galaxium-0.7.4.1' ...
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ ok ]
 * Running automake --add-missing --copy --foreign ...                    [ ok ]
>>> Source unpacked in /var/tmp/portage/net-im/galaxium-0.7.4.1/work
>>> Compiling source in /var/tmp/portage/net-im/galaxium-0.7.4.1/work/galaxium-0.7.4.1 ...
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --enable-gecko --disable-webkit
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... /usr/bin/pkg-config
checking for a BSD-compatible install... /usr/bin/install -c
checking for gcc... /usr/bin/gcc
checking for gmcs... /usr/bin/gmcs
checking for i686-pc-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MONO... yes
checking for GLIB_SHARP... yes
checking for GTK_SHARP... yes
checking for GLADE_SHARP... yes
checking for GSTREAMER... yes
checking for NDESK_DBUS... yes
checking for MONO_ADDINS... yes
checking for LIBANCULUS... yes
checking for GECKO_SHARP... yes
MOZILLA_HOME=/usr/lib/xulrunner
configure: creating ./config.status
config.status: creating Makefile
config.status: creating docs/Makefile
config.status: creating docs/man/Makefile
config.status: creating src/Makefile
config.status: creating src/Libraries/Makefile
config.status: creating src/Libraries/libgalaxium/Makefile
config.status: creating src/Libraries/libswfdec-sharp/Makefile
config.status: creating src/Galaxium.AdiumThemes/Makefile
config.status: creating src/Galaxium.Client/Makefile
config.status: creating src/Galaxium.Client.Gtk/Makefile
config.status: creating src/Galaxium.Core/Makefile
config.status: creating src/Galaxium.Gecko/Makefile
config.status: creating src/Galaxium.GStreamer/Makefile
config.status: creating src/Galaxium.Gui/Makefile
config.status: creating src/Galaxium.Gui.Gtk/Makefile
config.status: creating src/Galaxium.Protocol/Makefile
config.status: creating src/Galaxium.Protocol.Gui/Makefile
config.status: creating src/Galaxium.Protocol.Msn/Makefile
config.status: creating src/Galaxium.Protocol.Msn.Gtk/Makefile
config.status: creating src/Galaxium.Startup/Makefile
config.status: creating src/Galaxium.WebKit/Makefile
config.status: creating src/Libraries/libswfdec-sharp/AssemblyInfo.cs
config.status: creating src/Galaxium.AdiumThemes/AssemblyInfo.cs
config.status: creating src/Galaxium.Client/AssemblyInfo.cs
config.status: creating src/Galaxium.Client.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Core/AssemblyInfo.cs
config.status: creating src/Galaxium.Gecko/AssemblyInfo.cs
config.status: creating src/Galaxium.GStreamer/AssemblyInfo.cs
config.status: creating src/Galaxium.Gui/AssemblyInfo.cs
config.status: creating src/Galaxium.Gui.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Gui/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Msn/AssemblyInfo.cs
config.status: creating src/Galaxium.Protocol.Msn.Gtk/AssemblyInfo.cs
config.status: creating src/Galaxium.Startup/AssemblyInfo.cs
config.status: creating src/Galaxium.Startup/Galaxium.Startup.exe.config
config.status: creating src/Galaxium.WebKit/AssemblyInfo.cs
config.status: creating build/Makefile
config.status: creating build/Data/Makefile
config.status: creating build/Data/Themes/Makefile
config.status: creating build/Data/Themes/AdiumEmoticons/Makefile
config.status: creating build/Data/Themes/AdiumMessageStyles/Makefile
config.status: creating build/Data/Themes/AdiumSoundSets/Makefile
config.status: creating build/Data/Images/Makefile
config.status: creating galaxium
config.status: creating galaxium.desktop

Configuration summary

   * Installation prefix: /usr

   * Supported protocols
   *     (yes) MSN (Microsoft Network)

   * HTML Layout Engines
   *     (yes) Gecko support
   *     (no) WebKit support

   * Additional addins
   *     (yes) AdiumX theme support

make -j2 -s
Making all in build
Making all in Data
Making all in Images
Making all in Themes
Making all in AdiumEmoticons
Making all in AdiumMessageStyles
Making all in AdiumSoundSets
Making all in src
Making all in Libraries
Making all in libgalaxium
Making all in libswfdec-sharp
Making all in Galaxium.Core
./Utilities/ArgumentUtility.cs(284,36): error CS8244: The `is' operator cannot be applied to an operand of a static type
Compilation failed: 1 error(s), 0 warnings
make[2]: *** [../../build/Galaxium.Core.dll] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1
 *
 * ERROR: net-im/galaxium-0.7.4.1 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_compile
 *             environment, line 2627:  Called die
 * The specific snippet of code:
 *       emake || die "make failed"
 *  The die message:
 *   make failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/net-im:galaxium-0.7.4.1:20090324-173810.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/galaxium-0.7.4.1/temp/environment'.
 *

>>> Failed to emerge net-im/galaxium-0.7.4.1, Log file:

>>>  '/var/lib/entropy/logs/net-im:galaxium-0.7.4.1:20090324-173810.log'
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-25 05:19:27 UTC
I'm sorry but this package is from no official Gentoo repository and thus you won't find any Gentoo-dev who would take care of your bug. 

I suggest you wait for a new release of galaxium and try to emerge that new version then.
Comment 4 Alberto federman Neto 2009-03-25 23:42:36 UTC
I apologize, my mistakes...
When you see: "Zenana Repo", please, read "Zugaina Overlay".
The problem is not in ebuild.
The problem is in The Galaxium Source Code.
When manually compiled, the same errors Occurs....
This is not related with Gentoo, Portage, or Overlays.
is a defective package!
Closed because ie not Gentoo Bug!